ru.bitel.bgbilling.kernel.contract.api.common.service

## Interface ContractLimitService

-     public interface ContractLimitService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigDecimal` | `contractLimitGet(int contractId)`
    `void` | `contractLimitMove(int contractId, java.math.BigDecimal amount, int days)`
    `java.util.List<ContractLimitMovement>` | `contractLimitMovementList(int contractId, java.util.Date dateFrom, java.util.Date dateTo)`
    `ContractLimitParameters` | `contractLimitParametersGet(int contractId)`

- - ### Method Detail

    - #### contractLimitGet

          java.math.BigDecimal contractLimitGet(int contractId)
                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractLimitMove

          void contractLimitMove(int contractId,
                                 java.math.BigDecimal amount,
                                 int days)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractLimitMovementList

          java.util.List<ContractLimitMovement> contractLimitMovementList(int contractId,
                                                                          java.util.Date dateFrom,
                                                                          java.util.Date dateTo)
                                                                   throws ru.bitel.bgbilling.common.BGException,
                                                                          ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### contractLimitParametersGet

          ContractLimitParameters contractLimitParametersGet(int contractId)
                                                      throws ru.bitel.bgbilling.common.BGException,
                                                             ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`